Commit 51eb95e2 authored by Andi Kleen's avatar Andi Kleen Committed by Masahiro Yamada
Browse files

kbuild: Don't remove link-vmlinux temporary files on exit/signal



Keep them around until they are cleaned up by make clean. This
uses a bit more disk space, but makes it easier to debug any
problems with the kernel link process.

Suggested-by: default avatarMasahiro Yamada <masahiroy@kernel.org>
Signed-off-by: default avatarAndi Kleen <ak@linux.intel.com>
Signed-off-by: default avatarMasahiro Yamada <masahiroy@kernel.org>
parent 11122b86
Loading
Loading
Loading
Loading
+0 −14
Original line number Diff line number Diff line
@@ -320,20 +320,6 @@ cleanup()
	rm -f .vmlinux.d
}

on_exit()
{
	if [ $? -ne 0 ]; then
		cleanup
	fi
}
trap on_exit EXIT

on_signals()
{
	exit 1
}
trap on_signals HUP INT QUIT TERM

# Use "make V=1" to debug this script
case "${KBUILD_VERBOSE}" in
*1*)